Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.impl
Class KeyedDefinitionsFactoryTilesContainer

    java.lang.Object
      org.apache.tiles.impl.BasicTilesContainer
          org.apache.tiles.impl.KeyedDefinitionsFactoryTilesContainer

All Implemented Interfaces:
  AttributeEvaluatorFactoryAware, TilesContainer

Direct Known Subclasses:
  CachingKeyedDefinitionsFactoryTilesContainer

Deprecated. Register different containers using `TilesAccess.setContainer( org.apache.tiles.TilesApplicationContext, org.apache.tiles.TilesContainer, String)`

    public class KeyedDefinitionsFactoryTilesContainer

extends BasicTilesContainer

Container that can be used to store multiple `DefinitionsFactory` instances mapped to different keys.

Version:
  $Rev: 797754 $ $Date: 2009-07-25 13:42:03 +0200 (sab, 25 lug 2009) $

Nested Class Summary
`static class` | `KeyedDefinitionsFactoryTilesContainer.DefaultKeyExtractor` Deprecated. This is the default factory key.
`static interface` | `KeyedDefinitionsFactoryTilesContainer.KeyExtractor` Deprecated. It represents an object able to return a key from a request.

Field Summary
`static java.lang.String` | `DEFINITIONS_CONFIG_PREFIX` Deprecated. Constant representing the prefix of the configuration parameter used to define the tiles definition resources for a specific key.
`protected java.util.Map<java.lang.String,DefinitionsFactory>` | `key2definitionsFactory` Deprecated. Maps definition factories to their keys.
`protected KeyedDefinitionsFactoryTilesContainer.KeyExtractor` | `keyExtractor` Deprecated. The key extractor object.

Fields inherited from class org.apache.tiles.impl.BasicTilesContainer
`DEFINITIONS_CONFIG`

Constructor Summary
`KeyedDefinitionsFactoryTilesContainer()` Deprecated. Constructor.

Method Summary
`protected Definition` | `getDefinition(java.lang.String definitionName, TilesRequestContext request)` Deprecated. Returns a definition specifying its name.
`DefinitionsFactory` | `getDefinitionsFactory(java.lang.String key)` Deprecated. Returns a definition factory given its key.
`protected java.lang.String` | `getDefinitionsFactoryKey(TilesRequestContext request)` Deprecated. Returns the definitions factory key.
`DefinitionsFactory` | `getProperDefinitionsFactory(java.lang.String key)` Deprecated. Returns the proper definition factory for the given key, i.e. if the key is not present, `null` will be returned.
`void` | `setDefinitionsFactory(java.lang.String key, DefinitionsFactory definitionsFactory)` Deprecated. Set the definitions factory.
`void` | `setDefinitionsFactory(java.lang.String key, DefinitionsFactory definitionsFactory, java.util.Map<java.lang.String,java.lang.String> initParameters)` Deprecated. Use `setDefinitionsFactory(String, DefinitionsFactory)`.
`void` | `setKeyExtractor(KeyedDefinitionsFactoryTilesContainer.KeyExtractor keyExtractor)` Deprecated. Sets the key extractor to use.

Methods inherited from class org.apache.tiles.impl.BasicTilesContainer
`checkInit, endContext, evaluate, getApplicationContext, getAttributeContext, getContext, getContextFactory, getContextStack, getDefinitionsFactory, getPreparerFactory, getRequestContextFactory, getResourceNames, getResourceString, getResourceString, init, initializeDefinitionsFactory, isValidDefinition, popContext, prepare, pushContext, render, render, render, render, render, render, renderContext, setApplicationContext, setAttributeEvaluatorFactory, setContextFactory, setDefinitionsFactory, setPreparerFactory, setRendererFactory, setRequestContextFactory, startContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFINITIONS_CONFIG_PREFIX

    public static final java.lang.String DEFINITIONS_CONFIG_PREFIX

  Deprecated.
  Constant representing the prefix of the configuration parameter used to define the tiles definition resources for a specific key.

  See Also:
    Constant Field Values

### key2definitionsFactory

    protected java.util.Map<java.lang.String,DefinitionsFactory> key2definitionsFactory

  Deprecated.
  Maps definition factories to their keys.

### keyExtractor

    protected KeyedDefinitionsFactoryTilesContainer.KeyExtractor keyExtractor

  Deprecated.
  The key extractor object.

Constructor Detail

### KeyedDefinitionsFactoryTilesContainer

    public KeyedDefinitionsFactoryTilesContainer()

  Deprecated.
  Constructor.

Method Detail

### getDefinitionsFactory

    public DefinitionsFactory getDefinitionsFactory(java.lang.String key)

  Deprecated.
  Returns a definition factory given its key.

  Parameters:
    `key` - The key of the needed definitions factory.
  Returns:
    the definitions factory used by this container. If the key is not valid, the default factory will be returned.

### getProperDefinitionsFactory

    public DefinitionsFactory getProperDefinitionsFactory(java.lang.String key)

  Deprecated.
  Returns the proper definition factory for the given key, i.e. if the key is not present, `null` will be returned.

  Parameters:
    `key` - The key of the needed definitions factory.
  Returns:
    the definitions factory used by this container. If the key is not valid, `null` will be returned.

### setDefinitionsFactory

    @Deprecated
    public void setDefinitionsFactory(java.lang.String key,
                                                 DefinitionsFactory definitionsFactory,
                                                 java.util.Map<java.lang.String,java.lang.String> initParameters)

  Deprecated. Use `setDefinitionsFactory(String, DefinitionsFactory)`.

  Set the definitions factory. This method first ensures that the container has not yet been initialized.

  Parameters:
    `key` - The key under which the definitions factory is catalogued.
    `definitionsFactory` - the definitions factory for this instance.
    `initParameters` - The init parameters to configure the definitions factory.

### setDefinitionsFactory

    public void setDefinitionsFactory(java.lang.String key,
                                      DefinitionsFactory definitionsFactory)

  Deprecated.
  Set the definitions factory. This method first ensures that the container has not yet been initialized.

  Parameters:
    `key` - The key under which the definitions factory is catalogued.
    `definitionsFactory` - the definitions factory for this instance.
  Since:
    2.1.0

### setKeyExtractor

    public void setKeyExtractor(KeyedDefinitionsFactoryTilesContainer.KeyExtractor keyExtractor)

  Deprecated.
  Sets the key extractor to use.

  Parameters:
    `keyExtractor` - The key extractor.

### getDefinition

    protected Definition getDefinition(java.lang.String definitionName,
                                       TilesRequestContext request)

  Deprecated.
  Returns a definition specifying its name.

  Overrides:
    `getDefinition` in class `BasicTilesContainer`
  Parameters:
    `definitionName` - The name of the definition to find.
    `request` - The request context.
  Returns:
    The definition, if found.

### getDefinitionsFactoryKey

    protected java.lang.String getDefinitionsFactoryKey(TilesRequestContext request)

  Deprecated.
  Returns the definitions factory key.

  Parameters:
    `request` - The request object.
  Returns:
    The needed factory key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.